<bugID>985172<Summary>When the bookmark button is in the overflow menu the label doesn't toggle between "Bookmark this page" and "Edit this bookmark".</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:30.0) Gecko/20100101 Firefox/30.0 (Beta/Release)
Build ID: 20140316030202

Steps to reproduce:

I created a small enough window so that the bookmark button is pushed into the overflow menu. I then used the bookmarking button in the overflow menu to create a bookmark.


Actual results:

The label of the bookmark button with the text "Bookmark this page" didn't change to "Edit this bookmark".


Expected results:

The button should change its text label to represent the functionality it provides.</Description></bugID>